Macbook pro



  • I have a macbook pro and would like to install the software from source but i cannot find the link on how to do it. I see it should be posted here - http://public.iorodeo.com/docs/colorimeter/software_1.html
    but i cannot find the link.

    thank you!



  • @satori You can download the colorimeter software from here

    http://archive.iorodeo.com/software/colorimeter



  • That never worked for me . I have the intel macbook i have to install it from source.



  • @satori OK. We have a repository on bitbucket which contains the software/firmware source and the design files.

    https://bitbucket.org/iorodeo/colorimeter



  • I have decided to set it up on linux instead and am almost there!

    When i execute the colorimeter-main command i get this error .

    colorimeter-main
    Traceback (most recent call last):
    File "/usr/local/bin/colorimeter-main", line 4, in <module>
    import('pkg_resources').run_script('Colorimeter==0.1.0', 'colorimeter-main')
    File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 534, in run_script
    self.require(requires)[0].run_script(script_name, ns)
    File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 1445, in run_script
    exec(script_code, namespace, namespace)
    File "/usr/local/lib/python2.7/dist-packages/Colorimeter-0.1.0-py2.7.egg/EGG-INFO/scripts/colorimeter-main", line 2, in <module>
    # EASY-INSTALL-SCRIPT: 'Colorimeter==0.1.0','colorimeter-main'
    File "build/bdist.linux-armv6l/egg/colorimeter/gui/dialog/startup_dialog.py", line 8, in <module>
    File "build/bdist.linux-armv6l/egg/colorimeter/gui/plot/init.py", line 1, in <module>
    File "build/bdist.linux-armv6l/egg/colorimeter/gui/plot/plot.py", line 18, in <module>
    File "build/bdist.linux-armv6l/egg/colorimeter/nonlinear_fit.py", line 2, in <module>



  • @satori Do you have scipy installed? line 2 of nonlinear_fit.py is trying to import scipy.interpolate.



  • I got scipy installed and it now works. Woot thank you!


Log in to reply